Description

Hi,

i would like to configure mon pxelinux and preseed file

with parameters such as ip and other stuff

but when i try to buil the host i have an error saying that @host doesn't have an ip propriety (as example)

so i don't know how to say to my pxelinux template to wget the good pressed file

because <%= foreman_url("pressed")%> => http://foreman_server/unattended/preseed

and the only way i know to get the preseed file for my host is to wget http://foreman_server/unattended/preseed?spoof=$host_ip

and i tried to do : http://foreman_server/template/$preseed_template/$domain

but this i can't use anymore the host properties

is there another way??

thank you

History

#1 - 03/15/2011 03:37 AM - Ohad Levy

- Status changed from New to Feedback

- Assignee deleted (Ohad Levy)

Sorry, I guessed I missed this ticket - mailing would be a better target next time :)

normally, it should be possible to use @host.ip (if ip was defined)

can you provide some examples of what you are trying to achieve?

#2 - 03/15/2011 02:44 PM - Arnaud Sourioux

In my PXELinux template i would like to do :

url=<%= foreman_url("pressed")%>?spoof<%= @host.ip %>

to do the preseed install with properties registered for my host

but when i click on "build" it says that the @host doesn't have a ip property

all my hosts have an ip set.

#3 - 01/03/2013 11:31 AM - Benjamin Papillon

Hello,

Did you managed to do what you wanted? Does foreman works fine for you now?

Regards

#4 - 06/18/2013 08:31 AM - Benjamin Papillon

- Status changed from Feedback to Closed

No feedback in 6 months, closing for now.
